// Copyright (c) 2024 Codemongous LLC. All Rights Reserved.

#pragma once

#include "ISCW_UEnum.h"
#include "ISCW_UK2Node_Select.h"
#include "SCW_UK2Node.h"

class UK2Node_Select;

namespace Sourcify
{
	class SCW_UK2Node_Select : public SCW_UK2Node, public virtual ISCW_UK2Node_Select
	{
	public:
		SCW_UK2Node_Select(UK2Node_Select* InK2Node_Select);

		ISCW_UEnumPtr GetEnum() const override;

		void ReloadEnum(ISCW_UEnumPtr InEnum) override;

		UK2Node_Select* ToUK2Node_Select() const;

		ISCW_UK2Node_SelectPtr ToUK2Node_SelectPtr() override;
		ISCW_UK2Node_SelectConstPtr ToUK2Node_SelectPtr() const override;

	protected:
		UK2Node_Select* K2Node_Select;
	};
} // namespace Sourcify